package com.flossom.system.service.impl;

import java.util.List;

import com.flossom.common.core.domain.entity.SysRegion;
import com.flossom.common.core.mapper.SysRegionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.flossom.system.service.ISysRegionService;

/**
 * 地区列Service业务层处理
 *
 * @author flossom
 * @date 2023-12-12
 */
@Service
public class SysRegionServiceImpl implements ISysRegionService {

    @Autowired
    private SysRegionMapper sysRegionMapper;

    /**
     * 查询地区列
     *
     * @param id 地区列主键
     * @return 地区列
     */
    @Override
    public SysRegion selectSysRegionById(Long id) {
        return sysRegionMapper.selectSysRegionById(id);
    }

    /**
     * 查询地区列列表
     *
     * @param sysRegion 地区列
     * @return 地区列
     */
    @Override
    public List<SysRegion> selectSysRegionList(SysRegion sysRegion) {
        return sysRegionMapper.selectSysRegionList(sysRegion);
    }

    /**
     * 新增地区列
     *
     * @param sysRegion 地区列
     * @return 结果
     */
    @Override
    public int insertSysRegion(SysRegion sysRegion) {
        return sysRegionMapper.insertSysRegion(sysRegion);
    }

    /**
     * 修改地区列
     *
     * @param sysRegion 地区列
     * @return 结果
     */
    @Override
    public int updateSysRegion(SysRegion sysRegion) {
        return sysRegionMapper.updateSysRegion(sysRegion);
    }

    /**
     * 批量删除地区列
     *
     * @param ids 需要删除的地区列主键
     * @return 结果
     */
    @Override
    public int deleteSysRegionByIds(Long[] ids) {
        return sysRegionMapper.deleteSysRegionByIds(ids);
    }

    /**
     * 删除地区列信息
     *
     * @param id 地区列主键
     * @return 结果
     */
    @Override
    public int deleteSysRegionById(Long id) {
        return sysRegionMapper.deleteSysRegionById(id);
    }

    @Override
    public List<SysRegion> getRegionByPid(Long pid) {
        if (pid == null) {
            pid = 0L;
        }
        return sysRegionMapper.selectSysAreaByPid(pid.intValue());
    }
}
